%define pkg_name        PPI-HTML
%define pkg_version     1.07
%define rpm_pkg_version 1.07
%define rpm_pkg_release 2.n0i.2

Summary:       Generate syntax-hightlighted HTML for Perl using PPI
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(CSS::Tiny) >= 1.10
BuildRequires: perl(File::Spec) >= 0.80
BuildRequires: perl(PPI) >= 0.990
BuildRequires: perl(Params::Util) >= 0.05


%description
PPI::HTML converts Perl documents into syntax highlighted HTML pages.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b}
%doc Changes LICENSE README


%changelog
* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 1.07-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> 1.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
